aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
authorBartłomiej Piotrowski <b@bpiotrowski.pl>2015-11-09 11:58:10 +0100
committerBartłomiej Piotrowski <b@bpiotrowski.pl>2015-11-09 11:58:47 +0100
commitcdcc1580d7cb9355ea43aa8dbe8c314ec5a6c274 (patch)
tree6764f9e21789624eb5cac4d2368787149e29b4de /community
parent4dd718bf53cdde5b7cd6fad035e2020eb42a20c3 (diff)
downloadaports-cdcc1580d7cb9355ea43aa8dbe8c314ec5a6c274.tar.bz2
aports-cdcc1580d7cb9355ea43aa8dbe8c314ec5a6c274.tar.xz
main/mate-power-manager: move to community
Diffstat (limited to 'community')
-rw-r--r--community/mate-power-manager/0001-execinfo-patch.patch56
-rw-r--r--community/mate-power-manager/0001-get_nprocs-patch.patch27
-rw-r--r--community/mate-power-manager/0001-removing-backtrace.patch152
-rw-r--r--community/mate-power-manager/APKBUILD61
4 files changed, 296 insertions, 0 deletions
diff --git a/community/mate-power-manager/0001-execinfo-patch.patch b/community/mate-power-manager/0001-execinfo-patch.patch
new file mode 100644
index 0000000000..2c07ef12f1
--- /dev/null
+++ b/community/mate-power-manager/0001-execinfo-patch.patch
@@ -0,0 +1,56 @@
+From f117ad21ce676d67df265e522bfc1047118958ba Mon Sep 17 00:00:00 2001
+From: Alan Lacerda <alacerda@alpinelinux.org>
+Date: Thu, 16 Apr 2015 18:53:43 +0000
+Subject: [PATCH] execinfo patch
+
+---
+ applets/brightness/egg-debug.c | 2 ++
+ applets/inhibit/egg-debug.c | 2 ++
+ src/egg-debug.c | 2 ++
+ 3 files changed, 6 insertions(+)
+
+diff --git a/applets/brightness/egg-debug.c b/applets/brightness/egg-debug.c
+index 2f140f2..3a8e6e7 100644
+--- a/applets/brightness/egg-debug.c
++++ b/applets/brightness/egg-debug.c
+@@ -39,7 +39,9 @@
+ #include <sys/stat.h>
+ #include <fcntl.h>
+ #include <time.h>
++#if defined (__GLIBC__)
+ #include <execinfo.h>
++#endif
+
+ #include "egg-debug.h"
+
+diff --git a/applets/inhibit/egg-debug.c b/applets/inhibit/egg-debug.c
+index 2f140f2..3a8e6e7 100644
+--- a/applets/inhibit/egg-debug.c
++++ b/applets/inhibit/egg-debug.c
+@@ -39,7 +39,9 @@
+ #include <sys/stat.h>
+ #include <fcntl.h>
+ #include <time.h>
++#if defined (__GLIBC__)
+ #include <execinfo.h>
++#endif
+
+ #include "egg-debug.h"
+
+diff --git a/src/egg-debug.c b/src/egg-debug.c
+index 2f140f2..3a8e6e7 100644
+--- a/src/egg-debug.c
++++ b/src/egg-debug.c
+@@ -39,7 +39,9 @@
+ #include <sys/stat.h>
+ #include <fcntl.h>
+ #include <time.h>
++#if defined (__GLIBC__)
+ #include <execinfo.h>
++#endif
+
+ #include "egg-debug.h"
+
+--
+2.3.3
+
diff --git a/community/mate-power-manager/0001-get_nprocs-patch.patch b/community/mate-power-manager/0001-get_nprocs-patch.patch
new file mode 100644
index 0000000000..c71fabedea
--- /dev/null
+++ b/community/mate-power-manager/0001-get_nprocs-patch.patch
@@ -0,0 +1,27 @@
+From 274b58cef2501ff45e18e8ba98ce7a2e0f1478a3 Mon Sep 17 00:00:00 2001
+From: Alan Lacerda <alacerda@alpinelinux.org>
+Date: Fri, 17 Apr 2015 20:02:16 +0000
+Subject: [PATCH] get_nprocs patch
+
+---
+ src/gpm-load.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/gpm-load.c b/src/gpm-load.c
+index 3b0f572..5e78cb7 100644
+--- a/src/gpm-load.c
++++ b/src/gpm-load.c
+@@ -29,9 +29,9 @@
+ #include <string.h>
+ #include <sys/time.h>
+ #include <sys/types.h>
++#include <sys/sysinfo.h>
+ #if defined(sun) && defined(__SVR4)
+ #include <kstat.h>
+-#include <sys/sysinfo.h>
+ #endif
+ #ifdef HAVE_UNISTD_H
+ #include <unistd.h>
+--
+2.3.3
+
diff --git a/community/mate-power-manager/0001-removing-backtrace.patch b/community/mate-power-manager/0001-removing-backtrace.patch
new file mode 100644
index 0000000000..536991bc16
--- /dev/null
+++ b/community/mate-power-manager/0001-removing-backtrace.patch
@@ -0,0 +1,152 @@
+From b8907c90dec6a7f6fc2a3c682ddb48d4ebf8406e Mon Sep 17 00:00:00 2001
+From: Alan Lacerda <alacerda@alpinelinux.org>
+Date: Fri, 17 Apr 2015 11:34:47 +0000
+Subject: [PATCH] removing backtrace
+
+---
+ applets/brightness/egg-debug.c | 28 ----------------------------
+ applets/inhibit/egg-debug.c | 28 ----------------------------
+ src/egg-debug.c | 28 ----------------------------
+ 3 files changed, 84 deletions(-)
+
+diff --git a/applets/brightness/egg-debug.c b/applets/brightness/egg-debug.c
+index 3a8e6e7..b06b540 100644
+--- a/applets/brightness/egg-debug.c
++++ b/applets/brightness/egg-debug.c
+@@ -75,31 +75,6 @@ pk_set_console_mode (guint console_code)
+ }
+
+ /**
+- * egg_debug_backtrace:
+- **/
+-void
+-egg_debug_backtrace (void)
+-{
+- void *call_stack[512];
+- int call_stack_size;
+- char **symbols;
+- int i = 1;
+-
+- call_stack_size = backtrace (call_stack, G_N_ELEMENTS (call_stack));
+- symbols = backtrace_symbols (call_stack, call_stack_size);
+- if (symbols != NULL) {
+- pk_set_console_mode (CONSOLE_RED);
+- g_print ("Traceback:\n");
+- while (i < call_stack_size) {
+- g_print ("\t%s\n", symbols[i]);
+- i++;
+- }
+- pk_set_console_mode (CONSOLE_RESET);
+- free (symbols);
+- }
+-}
+-
+-/**
+ * pk_log_line:
+ **/
+ static void
+@@ -229,9 +204,6 @@ egg_error_real (const gchar *func, const gchar *file, const int line, const gcha
+ pk_print_line (func, file, line, buffer, CONSOLE_RED);
+ g_free(buffer);
+
+- /* we want to fix this! */
+- egg_debug_backtrace ();
+-
+ exit (1);
+ }
+
+diff --git a/applets/inhibit/egg-debug.c b/applets/inhibit/egg-debug.c
+index 3a8e6e7..b06b540 100644
+--- a/applets/inhibit/egg-debug.c
++++ b/applets/inhibit/egg-debug.c
+@@ -75,31 +75,6 @@ pk_set_console_mode (guint console_code)
+ }
+
+ /**
+- * egg_debug_backtrace:
+- **/
+-void
+-egg_debug_backtrace (void)
+-{
+- void *call_stack[512];
+- int call_stack_size;
+- char **symbols;
+- int i = 1;
+-
+- call_stack_size = backtrace (call_stack, G_N_ELEMENTS (call_stack));
+- symbols = backtrace_symbols (call_stack, call_stack_size);
+- if (symbols != NULL) {
+- pk_set_console_mode (CONSOLE_RED);
+- g_print ("Traceback:\n");
+- while (i < call_stack_size) {
+- g_print ("\t%s\n", symbols[i]);
+- i++;
+- }
+- pk_set_console_mode (CONSOLE_RESET);
+- free (symbols);
+- }
+-}
+-
+-/**
+ * pk_log_line:
+ **/
+ static void
+@@ -229,9 +204,6 @@ egg_error_real (const gchar *func, const gchar *file, const int line, const gcha
+ pk_print_line (func, file, line, buffer, CONSOLE_RED);
+ g_free(buffer);
+
+- /* we want to fix this! */
+- egg_debug_backtrace ();
+-
+ exit (1);
+ }
+
+diff --git a/src/egg-debug.c b/src/egg-debug.c
+index 3a8e6e7..b06b540 100644
+--- a/src/egg-debug.c
++++ b/src/egg-debug.c
+@@ -75,31 +75,6 @@ pk_set_console_mode (guint console_code)
+ }
+
+ /**
+- * egg_debug_backtrace:
+- **/
+-void
+-egg_debug_backtrace (void)
+-{
+- void *call_stack[512];
+- int call_stack_size;
+- char **symbols;
+- int i = 1;
+-
+- call_stack_size = backtrace (call_stack, G_N_ELEMENTS (call_stack));
+- symbols = backtrace_symbols (call_stack, call_stack_size);
+- if (symbols != NULL) {
+- pk_set_console_mode (CONSOLE_RED);
+- g_print ("Traceback:\n");
+- while (i < call_stack_size) {
+- g_print ("\t%s\n", symbols[i]);
+- i++;
+- }
+- pk_set_console_mode (CONSOLE_RESET);
+- free (symbols);
+- }
+-}
+-
+-/**
+ * pk_log_line:
+ **/
+ static void
+@@ -229,9 +204,6 @@ egg_error_real (const gchar *func, const gchar *file, const int line, const gcha
+ pk_print_line (func, file, line, buffer, CONSOLE_RED);
+ g_free(buffer);
+
+- /* we want to fix this! */
+- egg_debug_backtrace ();
+-
+ exit (1);
+ }
+
+--
+2.3.3
+
diff --git a/community/mate-power-manager/APKBUILD b/community/mate-power-manager/APKBUILD
new file mode 100644
index 0000000000..838e2d0391
--- /dev/null
+++ b/community/mate-power-manager/APKBUILD
@@ -0,0 +1,61 @@
+# Contributor: Alan Lacerda <alacerda@alpinelinux.org>
+# Maintainer:
+pkgname=mate-power-manager
+pkgver=1.10.2
+pkgrel=0
+pkgdesc="A Power Manager for MATE"
+url="https://github.com/mate-desktop/mate-power-manager"
+arch="all"
+license="GPLv2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev intltool gettext-dev itstool glib-dev libcanberra-dev
+ dbus-glib-dev mate-desktop-dev dconf-dev libnotify-dev libunique-dev
+ upower-dev libgnome-keyring-dev mate-panel-dev libcanberra-dev harfbuzz-dev"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/${pkgver%.*}/$pkgname-$pkgver.tar.xz
+ 0001-execinfo-patch.patch
+ 0001-removing-backtrace.patch
+ 0001-get_nprocs-patch.patch"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --sysconfdir=/etc \
+ --prefix=/usr \
+ --with-gtk=2.0 \
+ --disable-strict \
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="b3313b115eb743c5eef09f53e6dbc114 mate-power-manager-1.10.2.tar.xz
+e418279985b1f3127a9f400a1a5ab001 0001-execinfo-patch.patch
+adfd35982d98552789b1e296fa2a426d 0001-removing-backtrace.patch
+0ba879152699a66f7770692fe3131a06 0001-get_nprocs-patch.patch"
+sha256sums="49eed514cb8507d3ae7699e701afb33a90002aa833bdc507f9ac0dd031ce04de mate-power-manager-1.10.2.tar.xz
+651f146c9c7632f520a9f340d02ff6bfc0383aac70f926cf5dfa8a413876707e 0001-execinfo-patch.patch
+b1764f4a772d5287f2c0b33da7ab0b7c8bfe8192e032dcbe7f767b60638b4b42 0001-removing-backtrace.patch
+6682dddfe1d8a21e26416193797dd1009024c67df2592fcab5a01343cf15a6ff 0001-get_nprocs-patch.patch"
+sha512sums="133745446536d21102ed318d2809209e46dcef7dd312219d9b716f7785cbcd5a47d477643e1c15dd6672d088640a583a63819b394dc96e4a3437affdbc389ae7 mate-power-manager-1.10.2.tar.xz
+f7c97099144a077d00d0dbee0ed148fb7a82ea902a31b4607b3b37b07d26530dc06695c9ff9565ba457f754c2093610efa46965d0d28329cd23a7a061f1b4249 0001-execinfo-patch.patch
+76364f42dbeceb0c13e957e83fe40873cc93f2d83497b658419765ea736a50f436515347960f5f30a021b55aef670fddce04787c892509b8c54995512a5dc1b7 0001-removing-backtrace.patch
+76d93fb1313e3fabbd333d9ccb3a97907cea5292150aecf813ca32f4e434eab69f337ff7578ce3d0e940bb8fad28d1b13264bd6130cdaea7de618104c5826779 0001-get_nprocs-patch.patch"